Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.common.sql
Class UpdateTagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.sql.UpdateTagSupport

All Implemented Interfaces:
  Serializable, SQLExecutionTag, BodyTag, IterationTag, JspTag, Tag, TryCatchFinally

Direct Known Subclasses:
  UpdateTag, UpdateTag

    public abstract class UpdateTagSupport

extends BodyTagSupport
implements TryCatchFinally, SQLExecutionTag

Tag handler for <Update> in JSTL.

Author:
  Hans Bergsten, Justyna Horwat
See Also:
  Serialized Form

Field Summary
`protected boolean` | `dataSourceSpecified`
`protected Object` | `rawDataSource`
`protected String` | `sql`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UpdateTagSupport()`

Method Summary
`void` | `addSQLParameter(Object o)` Called by nested parameter elements to add PreparedStatement parameter values.
`void` | `doCatch(Throwable t)` Just rethrows the Throwable.
`int` | `doEndTag()` Execute the SQL statement, set either through the `sql` attribute or as the body, and save the result as a variable named by the `var` attribute in the scope specified by the `scope` attribute, as an object that implements the Result interface.
`void` | `doFinally()` Close the `Connection`, unless this action is used as part of a transaction.
`int` | `doStartTag()` Prepares for execution by setting the initial state, such as getting the `Connection`
`void` | `setScope(String scopeName)` Setter method for the scope of the variable to hold the result.
`void` | `setVar(String var)` Setter method for the name of the variable to hold the result.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### rawDataSource

    protected Object rawDataSource

### dataSourceSpecified

    protected boolean dataSourceSpecified

### sql

    protected String sql

Constructor Detail

### UpdateTagSupport

    public UpdateTagSupport()

Method Detail

### setVar

    public void setVar(String var)

  Setter method for the name of the variable to hold the result.

### setScope

    public void setScope(String scopeName)

  Setter method for the scope of the variable to hold the result.

### doStartTag

    public int doStartTag()
                   throws JspException

  Prepares for execution by setting the initial state, such as getting the `Connection`

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws JspException

  Execute the SQL statement, set either through the `sql` attribute or as the body, and save the result as a variable named by the `var` attribute in the scope specified by the `scope` attribute, as an object that implements the Result interface.

  The connection used to execute the statement comes either from the `DataSource` specified by the `dataSource` attribute, provided by a parent action element, or is retrieved from a JSP scope attribute named `javax.servlet.jsp.jstl.sql.dataSource`.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doEndTag()`

### doCatch

    public void doCatch(Throwable t)
                 throws Throwable

  Just rethrows the Throwable.

  Specified by:
    `doCatch` in interface `TryCatchFinally`
  Parameters:
    `t` - The throwable exception navigating through this tag.
  Throws:
    `Throwable` - if the exception is to be rethrown further up the nest chain.

### doFinally

    public void doFinally()

  Close the `Connection`, unless this action is used as part of a transaction.

  Specified by:
    `doFinally` in interface `TryCatchFinally`

### addSQLParameter

    public void addSQLParameter(Object o)

  Called by nested parameter elements to add PreparedStatement parameter values.

  Specified by:
    `addSQLParameter` in interface `SQLExecutionTag`
  Parameters:
    `o` - the `PreparedStatement` parameter value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.